Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.templates
Class AbsPathChecker

    java.lang.Object
      org.apache.xpath.XPathVisitor
          org.apache.xalan.templates.AbsPathChecker

public class AbsPathChecker
extends XPathVisitor

This class runs over a path expression that is assumed to be absolute, and checks for variables and the like that may make it context dependent.

Constructor Summary
`AbsPathChecker()`

Method Summary
`boolean` | `checkAbsolute(LocPathIterator path)` Process the LocPathIterator to see if it contains variables or functions that may make it context dependent.
`boolean` | `visitFunction(ExpressionOwner owner, Function func)` Visit a function.
`boolean` | `visitVariableRef(ExpressionOwner owner, Variable var)` Visit a variable reference.

Methods inherited from class org.apache.xpath.XPathVisitor
`visitBinaryOperation, visitLocationPath, visitMatchPattern, visitNumberLiteral, visitPredicate, visitStep, visitStringLiteral, visitUnaryOperation, visitUnionPath, visitUnionPattern`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbsPathChecker

    public AbsPathChecker()

Method Detail

### checkAbsolute

    public boolean checkAbsolute(LocPathIterator path)

  Process the LocPathIterator to see if it contains variables or functions that may make it context dependent.

  Parameters:
    `path` - LocPathIterator that is assumed to be absolute, but needs checking.
  Returns:
    true if the path is confirmed to be absolute, false if it may contain context dependencies.

### visitFunction

    public boolean visitFunction(ExpressionOwner owner,
                                 Function func)

  Visit a function.

  Overrides:
    `visitFunction` in class `XPathVisitor`
  Parameters:
    `owner` - The owner of the expression, to which the expression can be reset if rewriting takes place.
    `func` - The function reference object.
  Returns:
    true if the sub expressions should be traversed.

### visitVariableRef

    public boolean visitVariableRef(ExpressionOwner owner,
                                    Variable var)

  Visit a variable reference.

  Overrides:
    `visitVariableRef` in class `XPathVisitor`
  Parameters:
    `owner` - The owner of the expression, to which the expression can be reset if rewriting takes place.
    `var` - The variable reference object.
  Returns:
    true if the sub expressions should be traversed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache XML Project. All Rights Reserved.